NEXT_PUBLIC_BASE_PATH={{ search_index_public_base_path }}
NEXT_PUBLIC_ELASTICSEARCH_INDEX={{ elasticsearch_metadata_index_internal_alias_name }}
NEXT_PUBLIC_BACKEND_API_BASE_URL={{ search_index_public_base_url }}
NEXT_PUBLIC_BACKEND_API_PATH_CONTACT={{ search_index_backend_contactapi_root_path }}
NEXT_PUBLIC_BACKEND_API_PATH_LABEL={{ search_index_backend_labelapi_root_path }}
NEXT_PUBLIC_BACKEND_API_PATH_SEARCH={{ search_index_backend_searchapi_root_path }}
NEXT_PUBLIC_PUBLIC_URL={{ search_index_public_base_url }}{{ search_index_public_base_path }}
NEXT_PUBLIC_I18N_CACHE_EXPIRATION={{ search_index_frontend_i18n_cache_expiration }}
NEXT_PUBLIC_I18N_DEBUG={{ search_index_frontend_i18n_debug }}
NEXT_PUBLIC_TRACK_TOTAL_HITS={{ search_index_frontend_track_total_hits }}
NEXT_PUBLIC_AVAILABLE_LANGUAGES={{ search_index_frontend_available_languages | join(',') }}
NEXT_PUBLIC_RESULT_PAGE_SIZE_OPTIONS={{ search_index_frontend_page_size | join(',') }}
NEXT_PUBLIC_NR_OF_RESULT_PER_PAGE={{ search_index_frontend_nr_result_page_default }}
NEXT_PUBLIC_HEADER_LOGO_URL={{ search_index_frontend_header_logo_url }}
NEXT_PUBLIC_THEME_COLORS='{{ search_index_frontend_theme_colors }}'
NEXT_PUBLIC_THEME_COLORS_DARK='{{ search_index_frontend_theme_colors_dark }}'
NEXT_PUBLIC_PRIVACY_POLICY_LINK='{{ search_index_frontend_custom_cookie_links | default([], true) | to_json(ensure_ascii=False) }}'
NEXT_PUBLIC_EXTERNAL_INFO_LINK='{{ search_index_frontend_custom_info_links | default({}, true) | to_json(ensure_ascii=False) }}'

# FEATURES
NEXT_PUBLIC_FEATURE_CHANGE_FONTSIZE={{ search_index_frontend_features_change_font_size }}
NEXT_PUBLIC_FEATURE_DARK_MODE={{ search_index_frontend_features_dark_mode }}
NEXT_PUBLIC_FEATURE_RESOURCE_EMBEDDING_SNIPPET={{ search_index_frontend_features_resource_embedding_snippet }}
NEXT_PUBLIC_FEATURE_SIDRE_THUMBNAILS={{ search_index_frontend_features_sidre_thumbnails }}
NEXT_PUBLIC_FEATURE_SCROLL_TOP_BUTTON={{ search_index_frontend_features_scroll_top_button }}

# FIELD CONFIGURATION
NEXT_PUBLIC_FIELD_CONFIGURATION={{ search_index_frontend_field_configuration | default({}, true) | to_json(ensure_ascii=False) }}
NEXT_PUBLIC_SEARCH_CONFIGURATION={{ search_index_frontend_search_configuration | default({}, true) | to_json(ensure_ascii=False) | replace('$','\$') }}
NEXT_PUBLIC_RESULT_CARD_CONFIGURATION={{ search_index_frontend_result_card_configuration | default({}, true) | to_json(ensure_ascii=False) }}
NEXT_PUBLIC_DETAIL_PAGE_CONFIGURATION={{ search_index_frontend_detail_page_configuration | default({}, true) | to_json(ensure_ascii=False) }}
NEXT_PUBLIC_EMBEDDED_STRUCTURED_DATA_ADJUSTMENTS={{ search_index_frontend_embedded_structured_data_adjustments | default([], true) | to_json(ensure_ascii=False) }}
